View Issue Details

IDProjectCategoryView StatusLast Update
0004514Kali Linux[All Projects] General Bugpublic2018-11-30 08:33
Reporterkalibugs2Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version 
Summary0004514: apt-get update invalid signatures
DescriptionI got GPG signatures errors during update.
Steps To Reproduce
# apt-get update

Get:1 http://kali.mirror.garr.it/mirrors/kali kali-rolling InRelease [30,5 kB]
Err:1 http://kali.mirror.garr.it/mirrors/kali kali-rolling InRelease
  The following signatures were invalid: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
Fetched 30,5 kB in 1s (25,5 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://kali.mirror.garr.it/mirrors/kali kali-rolling InRelease: The following signatures were invalid: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Failed to fetch http://http.kali.org/kali/dists/kali-rolling/InRelease The following signatures were invalid: EXPKEYSIG ED444FF07D8D0BF6 Kali Linux Repository <devel@kali.org>
W: Some index files failed to download. They have been ignored, or old ones used instead.

Relationships

has duplicate 0004518 closed can not do apt-get update 
has duplicate 0004526 closed apt-get problem 
has duplicate 0005133 closedrhertzog apt update fails with invalid signature 
related to 0004537 closed Error in upgrading Kali to run on Windows 

Activities

rhertzog

2018-02-02 19:55

administrator   ~0008612

Last edited: 2018-02-02 19:58

View 2 revisions

You have an old version of the kali-archive-keyring package (2015.2) which contains our old archive key which expired today. We pushed (a bit late) an updated key one week ago in the version 2018.1 of the kali-archive-keyring package. You can manually install this package:

# wget https://http.kali.org/kali/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb
# dpkg -i kali-archive-keyring_2018.1_all.deb

And then it should be back to normal. An alternative solution is to fetch the updated key directly and make it available to APT:

# wget https://archive.kali.org/archive-key.asc -O /etc/apt/trusted.gpg.d/kali-archive-key.asc

(you can delete /etc/apt/trusted.gpg.d/kali-archive-key.asc after having completed an upgrade that installed the new kali-archive-keyring)

Sorry for the inconvenience, now you can go back to enjoy your Kali system! ;-)

kalibugs2

2018-02-03 05:26

reporter   ~0008613

thank you! resolved :)

rhertzog

2018-06-18 15:24

administrator   ~0009276

Closing now, enough time elapsed so that this bug entry no longer needs to be visible as open for for people looking for a solution.

Issue History

Date Modified Username Field Change
2018-02-02 18:25 kalibugs2 New Issue
2018-02-02 19:55 rhertzog Note Added: 0008612
2018-02-02 19:55 rhertzog Assigned To => rhertzog
2018-02-02 19:55 rhertzog Status new => assigned
2018-02-02 19:58 rhertzog Note Edited: 0008612 View Revisions
2018-02-03 05:26 kalibugs2 Note Added: 0008613
2018-02-05 09:46 g0tmi1k Relationship added has duplicate 0004518
2018-02-07 16:50 g0tmi1k Relationship added has duplicate 0004526
2018-02-13 12:43 g0tmi1k Relationship added related to 0004537
2018-06-18 15:24 rhertzog Status assigned => resolved
2018-06-18 15:24 rhertzog Resolution open => fixed
2018-06-18 15:24 rhertzog Note Added: 0009276
2018-11-30 08:33 rhertzog Relationship added has duplicate 0005133